Gets number of required parameters

- « ReflectionFunctionAbstract::getNumberOfParameters

- ReflectionFunctionAbstract::getParameters »

- PHP Manual
- ReflectionFunctionAbstract
- Gets number of required parameters

# ReflectionFunctionAbstract::getNumberOfRequiredParameters

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getNumberOfRequiredParameters — Gets number of required parameters

### Description

public ReflectionFunctionAbstract::getNumberOfRequiredParameters(): int

Get the number of required parameters that a function defines.

### Parameters

This function has no parameters.

### Return Values

The number of required parameters.

### See Also

- ReflectionFunctionAbstract::getNumberOfParameters() - Gets number of parameters